<?php
/*
 * module/document/admin.php
 *
 */

if(!get_arg(2)) $module_title = _('My documents');
else $module_title = __(_('My documents for tag %1'), array(get_arg(2)));

$modmenucontents['document'] = _('My Documents');

?>
<script type="text/javascript">
<!--
function delDoc(i){
	if(confirm("<?php echo _('Are you sure you want delete this document?'); ?>"))
		location.href = "document/delete/" + i;
}

function upNewDoc(){
	if(document.getElementById('upDocForm').style.display == 'none')
		document.getElementById('upDocForm').style.display = 'block';
	else
		document.getElementById('upDocForm').style.display = 'none';
}

function sendForm(a){
	if(isChecked('databrowserlist')){
		if(a == "delete"){
			if(confirm("<?php echo _('Are you sure you want delete these document?'); ?>")){
				document.getElementById('selAction').value = a;
				document.getElementById('groupDo').submit();
			}
		}else{
			document.getElementById('selAction').value = a;
			document.getElementById('groupDo').submit();
		}
	}
	document.getElementById('selAction').value = "action";
}
-->
</script>
<h2><?php echo $module_title; ?></h2>
	<p>
		<span class="databrowsermenu">
			<a href="<?php echo base_path(); ?>document/edit/new"><?php echo _('Create new article'); ?></a> -
			<a href="<?php echo base_path(); ?>document/admin/upload" onclick="javascript:upNewDoc();return false;"><?php echo _('Upload a new doc'); ?></a> -
			<a href="#" onclick="javascript:sendForm('delete');"><?php echo _('Delete these documents'); ?></a>
		</span><br/>
		<span class="databrowsermenu">
			<?php echo _('Change status to:'); ?>
			<a href="#" onclick="javascript:sendForm('published');"><?php echo _('Published'); ?></a> -
			<a href="#" onclick="javascript:sendForm('private');"><?php echo _('Private'); ?></a> -
			<a href="#" onclick="javascript:sendForm('draft');"><?php echo _('Draft'); ?></a>
		</span>
		<span class="databrowsermenu">
			<?php echo _('Selection:'); ?>
			<a href="#" onclick="javascript:manageChkbox(1,'databrowserlist');"><?php echo _('All'); ?></a> -
			<a href="#" onclick="javascript:manageChkbox(0,'databrowserlist');"><?php echo _('None'); ?></a> -
			<a href="#" onclick="javascript:manageChkbox(2,'databrowserlist');"><?php echo _('Inverted'); ?></a>
		</span>
	</p>
	<form action="<?php echo base_path(); ?>document/groupdo" method="post" id="groupDo">
	<fieldset>
	<input type="hidden" name="action" id="selAction" />

<?php if($articles_list){ ?>
	<ul id="databrowserlist">
	<?php foreach ($articles_list as $art) {
		if($art->url != ''){
			switch($art->get_format()){
				case 'jpeg' :
				case '.jpg' :
				case '.png' :
				case '.gif' :
					$vignette = '<img src="'.path_to_module('document').'views/img/images.png" alt=""/>';
					break;
				case '.pdf' :
					$vignette = '<img src="'.path_to_module('document').'views/img/page_white_acrobat.png" alt=""/>';
					break;
				case '.doc' :
					$vignette = '<img src="'.path_to_module('document').'views/img/page_white_word.png" alt=""/>';
					break;
				default :
					$vignette = '';
			}
		}else{
			$vignette = '<img src="'.path_to_module('document').'views/img/page_white_world.png" alt=""/>';
		}
		echo '<li><h3><input type="checkbox" name="document[]" value="'.$art->did.'" /> '.$vignette.' <a href="'.base_path().'document/'.$art->did.'/'.$art->get_urlizedTitle().'">'.$art->title.'</a></h3>';
		echo '<p>'.__(_('published on %1.'),array($art->affiche_simple_date()));
		echo ' - <a href="'.base_path().'document/edit/'.$art->did.'"><img src="'.path_to_module('document').'views/img/pencil.png" alt="'._('Modify this article').'" title="'._('Modify this article').'" /></a>';
		echo ' - <a href="'.base_path().'document/delete/'.$art->did.'" onclick="javascript:delDoc('.$art->did.');return false;"><img src="'.path_to_module('document').'views/img/bin.png" alt="'._('Delete this article').'" title="'._('Delete this article').'" /></a>';
		echo ' - ';
		if($art->get_type() == DOCUMENT_DRAFT) echo '<span style="color:red;">'._('Draft').'</span>';
		if($art->get_type() == DOCUMENT_PRIVATE) echo '<span style="color:blue;">'._('Private').'</span>';
		if($art->get_type() == DOCUMENT_PUBLISHED) echo '<span style="color:green;">'._('Published').'</span>';
		echo '</p></li>';
	}
	echo '</ul>';
}else echo '<p style="margin-top:20px;">'._('No articles there...').'</p><p><a href="'.base_path().'document/edit/new">'._('New article').'</a></p>';
?>
	</fieldset>
</form>

<form action="<?php echo base_path(); ?>document/submit"
		enctype="multipart/form-data" method="post"
		id="upDocForm" <?php if(get_arg(2) != 'upload') echo 'style="display:none;"'; ?>>
<fieldset>
	<legend><?php echo _('Upload new document'); ?></legend>
	<input type="hidden" name="did" value="new"/>
	<input type="hidden" name="MAX_FILE_SIZE" id="MAX_FILE_SIZE" value="3102400" />
	<input type="file" name="fileup"/>
	<select name="type">
		<option value="2" selected="selected"><?php echo _('Private document'); ?></option>
		<option value="3"><?php echo _('Published document'); ?></option>
	</select><br />
	<label for="tagsfield"><?php echo _('Document tags:'); ?></label> <input type="text" name="tags" id="tagsfield" /><br/>
	<br/>
	<input type="submit" value="<?php echo _('Save document'); ?>"/>
	<input type="button" onclick="javascript:upNewDoc();return false;" value="<?php echo _('close'); ?>" />
</fieldset>
</form>
