function changeStatus(id, title){
	document.title = '* ' + document.getElementById(title).value;
	document.getElementById(id).style.color = "red";
	document.getElementById(id).style.border = "1px solid red";
	if(document.getElementById('savedFeedback'))
		document.getElementById('savedFeedback').style.display = 'none';
}

function displayUrl(span, url){
	var theToolbar = span.parentNode.nextElementSibling.firstElementChild.widgToolbarObject;
	var theWidgEditor = theToolbar.widgEditorObject;
	var theIframe = theWidgEditor.theIframe;
	var theSelection = "";
	var theImage = url;
	var imgFolder = document.getElementById('widgImgPlace').value;

	if (theImage != null && theImage != ""){
		var theAlt = null;
		var theLink = null;
		var theSelection = null;
		var theRange = null;

		switch(theImage.substring(theImage.lastIndexOf(".") + 1)){
			case 'jpeg':
			case 'jpg':
			case 'png':
			case 'gif':
				theAlt = prompt("Enter the alternate text for this image:", "");
				break;
			case 'doc':
				theLink = imgFolder + "page_white_word.png";
				break;
			case 'pdf':
				theLink = imgFolder + "page_white_acrobat.png";
				break;
			default:
				theLink = imgFolder + "page_white.png";
		}

		/* IE selections */
		if (theIframe.contentWindow.document.selection){
			/* Escape quotes in alt text */
			theAlt = theAlt.replace(/"/g, "'");

			theSelection = theIframe.contentWindow.document.selection;
			theRange = theSelection.createRange();
			theRange.collapse(false);

			if(theLink == null)
				theRange.pasteHTML("<img alt=\"" + theAlt + "\" src=\"" + theImage + "\" />");
			else
				theRange.pasteHTML("<a href=\"" + theImage + "\"><img alt=\"\" src=\"" + theLink + "\" /></a>");


			if (theWidgEditor.wysiwyg == true){
				theIframe.contentWindow.focus();
			}else{
				theWidgEditor.theTextarea.focus();
			}

			return false;
		}
		/* Mozilla selections */
		else{
			try{
				theSelection = theIframe.contentWindow.getSelection();
			}catch (e){
				return false;
			}

			theRange = theSelection.getRangeAt(0);
			theRange.collapse(false);

			var theImageNode = theIframe.contentWindow.document.createElement("img");
			theImageNode.alt = theAlt;

			if(theLink == null){
				theImageNode.src = theImage;
				theRange.insertNode(theImageNode);
			}else{
				var theLinkNode = theIframe.contentWindow.document.createElement("a");

				theImageNode.src = theLink;

				theLinkNode.href = theImage;
				theLinkNode.appendChild(theImageNode);

				theRange.insertNode(theLinkNode);
			}


			if (theWidgEditor.wysiwyg == true){
				theIframe.contentWindow.focus();
			}else{
				theWidgEditor.theTextarea.focus();
			}

			return false;
		}
	}
	else{
		return false;
	}
}

function showMyObj(){
	if(document.getElementById('myobjlist')){
		if(document.getElementById('myobjlist').style.display == 'none') document.getElementById('myobjlist').style.display = 'block';
		else document.getElementById('myobjlist').style.display = 'none';
	}
}

flagSubmitForm = true;

window.onbeforeunload = function(){
	if(!flagSubmitForm)
		return("<?php echo _('Some changes have not been saved yet. Are you sure you want to quit and lose them?'); ?>");
}
