<?php
/*
 * theme/ouga/template.php
 *
 */

function salut(){
	$salar = array('Hallo','Salut','Hi','&iexcl; Hola','Hei','Ciao','&Gamma;&epsilon;&iota;&alpha;',
	               '&#12371;&#12435;&#12395;&#12385;&#12399;','Hej','Hoi','&#1055;&#1088;&#1080;&#1074;&#1077;&#1090');
	$u = count($salar);
	$i = rand(0, $u-1);
	return $salar[$i];
}

header("Content-type: text/html; charset=utf-8");
?>
<!DOCTYPE html
     PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title><?php echo $module_title; ?></title>
  <link rel="icon" type="image/png" href="<?php echo path_to_theme(); ?>img/favicon.png" />
  <?php echo $this->get_header_tags();  ?>
</head>

<body>

<div id="page">
	<div id="header">
		<h1 id="umaneti"><?php echo $ouga_name; ?></h1>
		<ul class="menu gen_menu">
			<?php if($user){
				if($user->is_logged()){ ?>
				<li><a href="<?php echo base_path(); ?>"><?php echo __(_('Welcome %1!'), array($user->login)); ?></a></li>
				<li><a href="<?php echo base_path(); ?>user/edit"><?php echo _('My account'); ?></a></li>
				<li><a href="<?php echo base_path(); ?>user/connect/close"><?php echo _('Logout'); ?></a></li>
			<?php }else{ ?>
				<li><a href="<?php echo base_path(); ?>"><?php echo _('Home'); ?></a></li>
				<li><a href="<?php echo base_path(); ?>user/register"><?php echo _('Register'); ?></a></li>
				<li><a href="<?php echo base_path(); ?>user/login"><?php echo _('Login'); ?></a></li>
			<?php }} ?>
		</ul>
		<?php if($modmenucontents){ ?>
		<ul class="menu mod_menu">
			<?php echo $this->get_module_menu($modmenucontents); ?>
		</ul>
		<?php } ?>
	</div>

	<div id="content">

	<?php
	echo $content;
	?>

	</div>

	<div id="footer">
		<p><?php echo $footer; ?></p>
	</div>
</div>
<?php echo $this->dump_error(); ?>
</body>
</html>
