<?php
/*
 * module/document/edit.php
 *
 * All Ouga code is released under the GNU General Public License.
 * See README and LICENSE.
 *
 */

$modmenucontents['document'] = _('My Documents');

$module_title = $article->title;
?>
 <h2><?php echo _('Write an article'); ?></h2>
      <form action="<?php echo base_path(); ?>document/save" method="post" id="articleForm">
      <p>
      <?php echo _('Article title:'); ?> <input type="text" id="articleTitle" name="title" value="<?php echo $article->title; ?>" /><br />
      <?php echo _('Article tags:'); ?> <input type="text" name="tags" value="<?php $tagline = '';
	  																				foreach($article->tags as $tag => $nbt)
																						$tagline .= $tag.', ';
																					echo substr($tagline, 0, -2); ?>" /><br/>
	  </p>
	  <p>
	  <input type="submit" id="articleSubmitBtn" value="<?php echo _('Save'); ?>"/>
	  <select name="type">
		<option value="1"<?php if($article->get_type() == 1) echo ' selected="selected"';?>><?php echo _('Save as Draft'); ?></option>
		<option value="2"<?php if($article->get_type() == 2) echo ' selected="selected"';?>><?php echo _('Save as Private'); ?></option>
		<option value="3"<?php if($article->get_type() == 3) echo ' selected="selected"';?>><?php echo _('Save as Published'); ?></option>
	  </select>
	  <?php if(get_arg(3) && get_arg(3) == 'ok') echo '<span id="savedFeedback">'._('Document saved').'</span>'; ?>
	  </p>
	  <div id="myobjlist" style="display:none;">
	  	<?php
		$objects = load_array_of_document(10, "url <> ''", 'date desc', '*');
		foreach($objects as $obj){
			echo '<span class="myobjitem"';
			switch($obj->get_format()){
				case 'jpeg' :
				case '.jpg' :
				case '.png' :
				case '.gif' :
					echo ' onclick="javascript:displayUrl(this, \''.$obj->url.'\');"><img src="'.path_to_module('document').'views/img/images.png" alt=""/> '.$obj->title;
					break;
				case '.pdf' :
					echo ' onclick="javascript:displayUrl(this, \''.base_path().'document/'.$obj->did.'/'.$obj->get_urlizedTitle().'\');"><img src="'.path_to_module('document').'views/img/page_white_acrobat.png" alt=""/> '.$obj->title;
					break;
				case '.doc' :
					echo ' onclick="javascript:displayUrl(this, \''.base_path().'document/'.$obj->did.'/'.$obj->get_urlizedTitle().'\');"><img src="'.path_to_module('document').'views/img/page_white_word.png" alt=""/> '.$obj->title;
					break;
				default :
					$obj->title;
			}
			echo '</span> ';
		}
		?>
	  </div>
	  <textarea name="article" id="articleEditor" class="widgEditor"><?php
	      		echo $article->content;
	      ?></textarea>
	  <script type="text/javascript">
	  	<!--
		  	document.getElementById('articleEditor').onkeyup = function(){
				changeStatus('articleSubmitBtn', 'articleTitle');
				flagSubmitForm = false;
			};
		  	document.getElementById('articleTitle').onkeyup = function(){
				changeStatus('articleSubmitBtn', 'articleTitle');
				flagSubmitForm = false;
			};
			document.getElementById('articleForm').onsubmit = function(){
				// @TODO Implémenter ici la vérification des champs.
				flagSubmitForm = true;
			}
	 	-->
	  </script>
	  <input type="hidden" name="did" value="<?php echo $article->did; ?>" />
	  <input type="hidden" id="widgContentPlace" value="<?php echo path_to_module('document').'views/inc/widgContent.css'; ?>"/>
	  <input type="hidden" id="widgImgPlace" value="<?php echo path_to_module('document').'views/img/'; ?>"/>
	</form>
