<?php

function user_dbmodel(){
	return array(
		'users' => array(
			'fields' => array(
				'login' => array(
					'type' => 'varchar',
					'length' => 25,
					'null' => false
				),
				'password' => array(
					'type' => 'varchar',
					'length' => 255,
					'null' => false
				),
				'lastname' => array(
					'type' => 'varchar',
					'length' => 255,
					'null' => false
				),
				'firstname' => array(
					'type' => 'varchar',
					'length' => 255,
					'null' => false
				),
				'state' => array(
					'type' => 'int',
					'length' => 1,
					'null' => false,
					'default' => 0
				),
				'type' => array(
					'type' => 'int',
					'length' => 1,
					'null' => false,
					'default' => 0
				),
				'lang' => array(
					'type' => 'varchar',
					'length' => 5,
					'null' => false,
					'default' => 'fr_FR'
				),
				'gravatar' => array(
					'type' => 'varchar',
					'length' => 255,
					'null' => false
				),
				'arraykey' => array(
					'type' => 'text',
					'null' => false
				),
				'sid' => array(
					'type' => 'text',
					'null' => false
				),
				'lastsid' => array(
					'type' => 'int',
					'length' => 11,
					'null' => false
				),
			),
			'primary_key' => 'login'
		),
	);
}

function user_acl_install(){
	return array(
		'primary' => array(
			'user/admin' => 'User administration',
			'user/edit' => 'Edit user own informations',
			'user/profile' => 'View user profile',
		),
		'copy' => array(
			'user/password' => 'user/edit',
			'user/modify' => 'user/edit',
			'user/connect/close' => 'user/edit',
			'user/switch_state/#' => 'user/admin',
			'user/groupdo' => 'user/admin',
			'user/edit/#' => 'user/admin',
			'user/edit/#/#' => 'user/admin',
			'user/password/#' => 'user/admin',
			'user/modify/#' => 'user/admin',
			'user/groupdo' => 'user/admin',
		)
	);
}

function user_install(&$variables){

}

function user_uninstall(&$variables){
	bdd_query("drop table {users}");
}

?>
