<?php
/*
 * module/user/list.php
 *
 * Umaneti est disponible selon les termes de la licence Gnu/GPL version 2.
 * Néanmoins, tous les éléments graphiques ou textuels présent sur le domaine
 * umaneti.net sont la propriété exclusive d'Umaneti, sauf mention contraire.
 *
 */
$module_title = _('Members administration');
$modmenucontents['user/list'] = _('Members list');

?>
<script type="text/javascript">
<!--
function sendForm(a){
	if(isChecked('databrowserlist')){
		if(a == "deactivate"){
			if(confirm("<?php echo _('Are you sure you want deactivate these users?'); ?>")){
				document.getElementById('selAction').value = a;
				document.getElementById('groupDo').submit();
			}
		}else{
			document.getElementById('selAction').value = a;
			document.getElementById('groupDo').submit();
		}
	}
	document.getElementById('selAction').value = "action";
}
-->
</script>

<h2><?php echo $module_title; ?></h2>

<form action="<?php echo base_path(); ?>user/groupdo" method="post" id="groupDo">
	<p>
		<span class="databrowsermenu">
			<?php echo _('Change status to:'); ?>
			<a href="#" onclick="javascript:sendForm('deactivate');"><?php echo _('Deactivated'); ?></a> -
			<a href="#" onclick="javascript:sendForm('activate');"><?php echo _('Activated'); ?></a>
		</span>
		<span class="databrowsermenu">
			<?php echo _('Selection:'); ?>
			<a href="#" onclick="javascript:manageChkbox(1,'databrowserlist');"><?php echo _('All'); ?></a> -
			<a href="#" onclick="javascript:manageChkbox(0,'databrowserlist');"><?php echo _('None'); ?></a> -
			<a href="#" onclick="javascript:manageChkbox(2,'databrowserlist');"><?php echo _('Inverted'); ?></a>
		</span>
	</p>

	<fieldset>
		<input type="hidden" name="action" id="selAction" />

		<?php

		echo '<ul id="databrowserlist">';

		foreach($member_list as $mbr){
			echo '<li class="member_list"><h3>';
			if($mbr->login != $user->login)
				echo '<input type="checkbox" name="user[]" value="'.$mbr->login.'" /> ';
			echo '<img src="'.$mbr->get_gravatar().'" alt="" class="gravatar"/>';
			if(empty($mbr->firstname) && empty($mbr->lastname)){
				echo '<a href="'.base_path().'user/profile/'.$mbr->login.'">'.$mbr->login.'</a>';
			}else{
				echo '<a href="'.base_path().'user/profile/'.$mbr->login.'">'.$mbr->firstname.' '.$mbr->lastname.'</a>';
			}

			echo '</h3>';

			if($user->login != $mbr->login){
				echo '<p><a href="'.base_path().'user/edit/'.$mbr->login.'"><img src="'.path_to_module('user').'views/img/user_edit.png" alt="'._('Edit').'" title="'._('Edit').'"/></a> - ';
				if($mbr->get_state() == 1){
					echo '<a href="'.base_path().'user/switch_state/'.$mbr->login.'/off"><img src="'.path_to_module('user').'views/img/user_delete.png" alt="'._('deactivate this member').'" title="'._('deactivate this member').'"/></a> - ';
					echo '<span style="color:green;">'._('Activated').'</span>';
				}else{
					echo '<a href="'.base_path().'user/switch_state/'.$mbr->login.'/on"><img src="'.path_to_module('user').'views/img/user_add.png" alt="'._('activate this member').'" title="'._('activate this member').'"/></a> - ';
					echo '<span style="color:red;">'._('Deactivated').'</span>';
				}
				echo '</p>';
			}else
				echo '<p>'._('You cannot modify yourself your permissions.').'</p>';
			echo'</li>';
		}

		echo '</ul>';

	echo '</fieldset>
</form>';
?>
